Subject: Re: bug#53534: 28.0.91; on netbsd 'gmake install' outputs 'find: chown: No such file or directory'

From: Glenn Morris <[email-masked]>
Date: Wed, 26 Jan 2022 12:51:51 -0500

Eli Zaretskii wrote:

> That won't help, because AFAIU when you use sudo, it changes your PATH
> accordingly.

It might, or it might not. It depends on how sudo is configured.

Alternative suggestions for fixing the various issues that exist here:

1) Don't use tar.
2) Use tar --no-same-owner (if tar doesn't have this option, then it
won't have the issue that chown seeks to fix).
3) Only run chown if UID = 0, and use chown root:root rather than the
current installuser logic, which seems broken (I notice now that most of
my emacs installations in /usr/local/share are owned by my user account
instead of root).